#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 test-framework
version:              0.8.2.0
visibility:           public
id:                   test-framework-0.8.2.0-9Rr56yZgUnnACjHinupFKM
key:                  test-framework-0.8.2.0-9Rr56yZgUnnACjHinupFKM
license:              BSD-3-Clause
maintainer:           Libraries List <libraries@haskell.org>
author:               Max Bolingbroke <batterseapower@hotmail.com>
homepage:             http://haskell.github.io/test-framework/
synopsis:
    Framework for running and organising tests, with HUnit and QuickCheck support

description:
    Allows tests such as QuickCheck properties and HUnit test cases to be assembled into test groups, run in
    parallel (but reported in deterministic order, to aid diff interpretation) and filtered and controlled by
    command line options. All of this comes with colored test output, progress reporting and test statistics output.

category:             Testing
abi:                  68f722b1e1a1a4c4f9386950a0baabd6
exposed:              True
exposed-modules:
    Test.Framework Test.Framework.Options Test.Framework.Providers.API
    Test.Framework.Runners.API Test.Framework.Runners.Console
    Test.Framework.Runners.Options Test.Framework.Runners.TestPattern
    Test.Framework.Seed

hidden-modules:
    Test.Framework.Core Test.Framework.Improving
    Test.Framework.Runners.Console.Colors
    Test.Framework.Runners.Console.ProgressBar
    Test.Framework.Runners.Console.Run
    Test.Framework.Runners.Console.Statistics
    Test.Framework.Runners.Console.Table
    Test.Framework.Runners.Console.Utilities
    Test.Framework.Runners.Core Test.Framework.Runners.Processors
    Test.Framework.Runners.Statistics Test.Framework.Runners.ThreadPool
    Test.Framework.Runners.TimedConsumption
    Test.Framework.Runners.XML.JUnitWriter Test.Framework.Runners.XML
    Test.Framework.Utilities

import-dirs:          /usr/lib/ghc-9.0.1/site-local/test-framework-0.8.2.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/test-framework-0.8.2.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/test-framework-0.8.2.0
hs-libraries:         HStest-framework-0.8.2.0-9Rr56yZgUnnACjHinupFKM
depends:
    ansi-terminal-0.11-MHbYlJDEnOHELv0ZCzYPq
    ansi-wl-pprint-0.6.9-B0zJPh3CRsQDQIy2PMKQNQ base-4.15.0.0
    containers-0.6.4.1 hostname-1.0-Br1jPZ1TQM2JEvPBDCu2td
    old-locale-1.0.0.7-8b6vATcbl2rGNT5WzdAV1N
    random-1.2.1-DbsAdqplUql9ODls4I3oh3
    regex-posix-0.96.0.1-9IaC5NAq1dnF4fUYbtp0yj time-1.9.3
    xml-1.3.14-21i4vhiJSXU6kuSJCTj4ZG

haddock-interfaces:
    /usr/share/doc/haskell-test-framework/html/test-framework.haddock

haddock-html:         /usr/share/doc/haskell-test-framework/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

